Skip to main content
GET
/
api
/
v2
/
products
cURL
curl --request GET \
  --url https://take.app/api/v2/products \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "reference_id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "sku": "<string>",
      "price": 123,
      "original_price": 123,
      "cost_enabled": true,
      "cost": 123,
      "unit_enabled": true,
      "unit_value": 123,
      "weight": 123,
      "tax_override": true,
      "tax_rate": 123,
      "tags": [
        "<string>"
      ],
      "daily_limit": 123,
      "cart_limit": 123,
      "cart_minimum": 123,
      "inventory_enabled": true,
      "soldout": true,
      "inventory": {
        "item_id": "<string>",
        "item_name": "<string>",
        "product_id": "<string>",
        "variant_id": "<string>",
        "sku": "<string>",
        "quantity": 123,
        "price": 123,
        "original_price": 123,
        "cost": 123,
        "cost_enabled": true,
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "variants": [
        {
          "id": "<string>",
          "product_id": "<string>",
          "name": "<string>",
          "sku": "<string>",
          "description": "<string>",
          "price": 123,
          "original_price": 123,
          "cost": 123,
          "weight": 123,
          "inventory": {
            "item_id": "<string>",
            "item_name": "<string>",
            "product_id": "<string>",
            "variant_id": "<string>",
            "sku": "<string>",
            "quantity": 123,
            "price": 123,
            "original_price": 123,
            "cost": 123,
            "cost_enabled": true,
            "updated_at": "2023-11-07T05:31:56Z"
          }
        }
      ],
      "options": [
        {
          "id": "<string>",
          "text": "<string>",
          "required": true,
          "settings": "<unknown>"
        }
      ],
      "images": [
        "<string>"
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://platform.take.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Merchant API V2 token. Pass as Authorization: Bearer <token>.

Query Parameters

limit
integer
Required range: 1 <= x <= 100
cursor
string
updated_after
string<date-time>
status
enum<string>
Available options:
VISIBLE,
HIDDEN

Response

List of products

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
next_cursor
string | null
required